Bug 1316221 - EAP modules for org.hibernate.search.infinispan-storage are useing the same module slot (jdg-6.4) and might overwritten if different JDG versions are installed
EAP modules for org.hibernate.search.infinispan-storage are useing the same m...
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: EAP modules (Show other bugs)
6.5.0,6.6.0,6.5.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vaclav Dedik
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 12:17 EST by wfink
Modified: 2016-04-19 11:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2204981 None None None 2016-03-21 09:27 EDT

  None (edit)
Description wfink 2016-03-09 12:17:11 EST
Description of problem:
The module org.hibernate.search.infinispan-storage use the slot "jdg-6.4" for the JDG 6.5||6.6 releases.
All other modules are using the correct slot for the release.

This might override the module from former releases!


See content of download:
https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=42331&product=data.grid&version=&downloadType=distributions
Comment 2 Sanne Grinovero 2016-03-09 18:10:46 EST
This module is used (as in consumed) exclusively by modules distributed within JBoss EAP.
The modules in JDG 6.x aim at delivering this additional feature to EAP version *6.4*.

I'm sorry for the confusion but the intention for the module slot was to mark the target EAP version it is delivering the feature *to*, not the identification of which JDG version did build it.

Indeed there is a problem with overwrites: we did not expect people to want to run both JDG 6.4 and 6.5 in the same EAP server. We could improve on that with an alias so that people can easily switch the default, but it makes sense the file the be unique as there can be only one default.

When it comes to support both EAP6.x and EAP7.x the modules will need to be implemented differently, so they could be "jdg-6.4" and "jdg-7.0" and we could ship both of them.
Comment 3 wfink 2016-03-14 06:31:16 EDT
There is a need to pack the module different, maybe separate from the other EAP-modules provided for JDG.
The module name should be set to reflect both (eap and jdg) version if this is important and necessary to not override
Comment 4 Sanne Grinovero 2016-03-14 19:22:56 EDT
The module name can not change with each JDG versions, as EAP needs to look for a module with a specific id.
Comment 5 wfink 2016-03-21 08:04:55 EDT
The module for hibernate-seach need to be shipped as a separate one which can be installed "on demand" with the needed version.
Comment 6 Vaclav Dedik 2016-04-19 11:12:52 EDT
Do I understand it correctly that we need this fixed for both JDG 6.5 and JDG 6.6?

Also, if I understand it correctly, this could simply be fixed by repackaging the EAP modules, i.e. unzipping the EAP modules, moving the hibernate search modules out of the directory into a new directory and then zip it back up creating two packages.
Comment 7 wfink 2016-04-19 11:38:49 EDT
I would not fix JDG 6.5.

For 6.6 and further the idea was to have a separate EAP module for hibernate.
The "jdg-6.4" slot must be the same, but if you separate this module from the rest you can install the EAP-modules without the hibernate stuff for EAP.
And this only if needed.

Note You need to log in before you can comment on or make changes to this bug.